<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://java.sun.com/jsf/facelets"
>

<h:head>
    <f:facet name="first">
        <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
        <meta name="apple-mobile-web-app-capable" content="yes"/>
    </f:facet>
    <title><ui:insert name="titlepage">Módulo de Administración Nacional V 0.4</ui:insert></title>
    <h:outputScript name="js/nanoscroller.js" library="barcelona-layout"/>
    <h:outputScript name="js/layout.js" library="barcelona-layout"/>
    <h:outputScript name="js/ripple.js" library="barcelona-layout"/>
    <h:outputScript name="projectbasescripts.js" library="js"/>
    <ui:insert name="head"/>
</h:head>

<h:body id="body-page" styleClass="main-body">
    <div class="layout-wrapper">
        <ui:include src="topbar.xhtml"/>
        <ui:include src="menu.xhtml"/>
        <div class="layout-main">
            <div class="layout-main-content" align="center">
                <h:form id="formContainer">
                    <div style ="text-align:center;">
                        <ul class="progressbar">
                            <!--<ui:insert name="content"/> -->
                            <!--
                            <p:repeat value="#{beanProcessComponent.listProcess}" var="proceso">
                                <li class="active" style="width: #{beanProcessComponent.getSizeIcons()}%">
                                    <p:commandButton value="#{proceso.number}"
                                                     style="background-color: #{proceso.color}"
                                                     actionListener="#{beanProcessComponent.selectProcess(proceso.number)}"
                                                     oncomplete="animateCSS('.animation' , 'fadeInLeftBig');"
                                                     update="formContainer :formContainerFooter :container"/>
                                    <span class="stepTitle">#{proceso.title}</span>
                                </li>
                            </p:repeat>
                            -->
                        </ul>
                    </div>
                </h:form>

                <div class="ui-g-12 contenedor animation" style="margin-top: 25px; background-color: white">
                    <p:outputPanel id="container" styleClass="ui-noborder">
                        <p:panel toggleable="true" id="p1" style="border: none; display: #{process.display}"
                                 class="panel">
                            <div class="ui-g">
                                <div class="ui-g-12" align="center">
                                    <ui:insert name="titleProcess"/>
                                </div>
                            </div>
                            <div class="ui-g-12 card">
                                <ui:insert name="content"/>
                            </div>
                        </p:panel>
                    </p:outputPanel>
                    <h:form id="formContainerFooter">
                        <!--
                        <div class="ui-g-12 ui-md-12 ui-lg-12 botones" style="text-align: right">
                            <p:commandButton value="Anterior"
                                             styleClass="blue-btn leftAlign"
                                             style="margin-bottom:10px;"
                                             actionListener="#{beanProcessComponent.hasPreviousProcess}"
                                             update="formContainerFooter :formContainer :container"
                                             oncomplete="animateCSS('.animation' , 'fadeInLeftBig');"
                                             rendered="#{beanProcessComponent.actualProcessNumber > 0}"/>
                            <p:commandButton value="Siguiente"
                                             styleClass="blue-btn rightAlign"
                                             style="margin-bottom:10px;"
                                             actionListener="#{beanProcessComponent.hasNextProcess}"
                                             update="formContainerFooter :formContainer :container"
                                             oncomplete="animateCSS('.animation' , 'fadeInLeftBig');"
                                             rendered="#{beanProcessComponent.currentLastProcess}"/>
                        </div>
                        -->
                    </h:form>
                </div>

            </div>
        </div>
    </div>

    <h:outputStylesheet name="css/nanoscroller.css" library="barcelona-layout"/>
    <h:outputStylesheet name="css/animate.css" library="barcelona-layout"/>
    <h:outputStylesheet name="css/ripple.css" library="barcelona-layout"/>
    <h:outputStylesheet name="css/layout-blue-tfja.css" library="barcelona-layout"/>
    <h:outputStylesheet name="projectbasestyle.css" library="css"/>
</h:body>

</html>